package work.xuye.common.db.entity.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @author xuye
 * @since 2023/7/7 21:58
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskMiniVO {

    private Integer id;

    private String name;

    /**
     *  用于存储父task节点发送的参数 子节点可能需要此参数进行计算
     */
    private Map<String, String> args;
}
